@import '~antd/dist/antd.css';

.App {
  text-align: center;
}

.primary-color {
  color: var(--primary-color) !important;
}

.warning-color {
  color: var(--warning-color) !important;
}

.background-gray {
  background-color: var(--middle-dark-color) !important;
}

.custom-card {
  box-shadow: 0 1px 2px -2px rgba(0, 0, 0, 0.16),
    0 3px 6px 0 rgba(0, 0, 0, 0.12), 0 5px 12px 4px rgba(0, 0, 0, 0.09);
  transition: box-shadow 0.3s, border-color 0.3s, -webkit-box-shadow 0.3s;
}

.custom-input .ant-input-affix-wrapper {
  border: none;
  background-color: #efefef;
  border-radius: 16px !important;
}

.custom-input .ant-input-affix-wrapper-focused {
  border: none;
  -webkit-box-shadow: none;
  outline: none;
}

.custom-input input,
.custom-input .ant-select-selector {
  background-color: #efefef !important;
}

.btn--warning {
  background-color: var(--warning-color) !important;
  color: #fff !important;
  border: none !important;
}

.btn--default {
  background-color: var(--middle-dark-color) !important;
  color: #111 !important;
  border: none !important;
}

.btn--success {
  background-color: var(--success-color) !important;
  color: #fff !important;
  border: none !important;
}

.btn--warning:hover,
.btn--warning:active,
.btn--warning:focus {
  background-color: var(--warning-color) !important;
  color: #fff !important;
  border: none !important;
  opacity: 0.8;
}

.btn--default:hover,
.btn--default:active,
.btn--default:focus {
  background-color: var(--middle-dark-color) !important;
  color: #111 !important;
  border: none !important;
  opacity: 0.8;
}

.btn--success:hover,
.btn--success:active,
.btn--success:focus {
  background-color: var(--success-color) !important;
  color: #fff !important;
  border: none !important;
  opacity: 0.8;
}
